package com.example.tomatoandpotatoapp.navigationPack

import androidx.navigation.NavArgs

sealed class Screens(val route: String) {
    object AuthorizationScreen : Screens("author_screen")
    object ChoiceScreen : Screens("choice_screen")
    object StartScreen : Screens("start_screen")
    object RegistrationScreen : Screens("registration_screen")
    object ProfileScreen : Screens("profile_screen")
    object PlantsCatalogScreen : Screens("plants_catalog_screen")
    object AppNavigation: Screens("app_navigation")

    fun withArgs(vararg args: String): String {
        return buildString {
            append(route)
            args.forEach { arg ->
                append("/$arg")
            }
        }
    }
}